! Calculeaza:
! Functii: f(u); g(u,u'); p(t);
! Jacobieni: jf = df/du; jg = dg/du; jg1 =dg/du1;
! Derivata: dp;
!
! Cadru etajat - 3 grade de lib. Excitatie armonica.
! ngl =3

subroutine gen_K()
use work

implicit real(8) (a-h, o-z)

! Define K:
K =0.

k(1,:) =(/1, -1, 0/)

k(2,:) =(/-1, 3, -2/)

k(3,:) =(/0, -2, 6/)

K =K*1.2D4


END subroutine gen_K
